Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::Map_Key_Cookie Class Reference

A CIAO internal Cookie valuetype implementation. More...

`#include <Cookies.h>`

List of all members.

## Public Methods
| Map_Key_Cookie ()
| Default constructor.
| Map_Key_Cookie (const ACE_Active_Map_Manager_Key &key)
| Initialize a `Cookie` with an `ACE_Active_Map_Manager_Key`.
virtual::CORBA::OctetSeq * | get_cookie (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| ~Map_Key_Cookie (void)
| Destroy the `Cookie`.
int | insert (ACE_Active_Map_Manager_Key &key)
| Insert the `ACE_Active_Map_Manager_Key`.
## Static Public Methods
int | extract (::Components::Cookie *c, ACE_Active_Map_Manager_Key &key)
| Extract the `ACE_Active_Map_Manager_Key`.

## Detailed Description

A CIAO internal Cookie valuetype implementation.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Map_Key_Cookie::Map_Key_Cookie | ( |  | ) |

| Default constructor.

CIAO::Map_Key_Cookie::Map_Key_Cookie | ( | const ACE_Active_Map_Manager_Key & | key | ) |

| Initialize a `Cookie` with an `ACE_Active_Map_Manager_Key`.

ACE_INLINE CIAO::Map_Key_Cookie::~Map_Key_Cookie | ( | void |  | ) |

| Destroy the `Cookie`. Initialize a `Cookie` with an `ACE_Active_Map_Manager_Key` This contructor make a copy of the Cookie. Perhaps we can somehow avoid this?

## Member Function Documentation

int CIAO::Map_Key_Cookie::extract | ( | ::Components::Cookie * | c,
|  | ACE_Active_Map_Manager_Key & | key
| ) | `[static]`

| Extract the `ACE_Active_Map_Manager_Key`.

CORBA::OctetSeq * CIAO::Map_Key_Cookie::get_cookie | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

int CIAO::Map_Key_Cookie::insert | ( | ACE_Active_Map_Manager_Key & | key | ) |

| Insert the `ACE_Active_Map_Manager_Key`.

The documentation for this class was generated from the following files:

- Cookies.h
- Cookies.cpp
- Cookies.inl